<?xml version="1.0" encoding="UTF-8"?>
<ehcache xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="ehcache.xsd" updateCheck="false"
	monitoring="autodetect" dynamicConfig="true">
	<cacheManagerPeerProviderFactory
		class="net.sf.ehcache.distribution.RMICacheManagerPeerProviderFactory"
		properties="peerDiscovery=manual,
					rmiUrls=//10.158.133.172:40002/processDefinitionCache|//10.158.133.173:40001/processDefinitionCache|//10.158.133.173:40002/processDefinitionCache" />

	<cacheManagerPeerListenerFactory
		class="net.sf.ehcache.distribution.RMICacheManagerPeerListenerFactory"
		properties="hostName=10.158.133.172, port=40001,
					socketTimeoutMillis=2000" />

    <!--cacheManagerPeerListenerFactory class="org.terracotta.ehcachedx.monitor.probe.ProbePeerListenerFactory"
        properties="monitorAddress=localhost, monitorPort=9889, memoryMeasurement=true"/-->
    
	<cache name="processDefinitionCache" maxEntriesLocalHeap="10" eternal="true" maxElementsInMemory="100000"
		timeToIdleSeconds="0" timeToLiveSeconds="0" overflowToDisk="true">
		<cacheEventListenerFactory  
                class="net.sf.ehcache.distribution.RMICacheReplicatorFactory"  
                properties="replicateAsynchronously=true, replicatePuts=true,  
                            replicatePutsViaCopy=true, replicateUpdates=true,  
                            replicateUpdatesViaCopy=true, replicateRemovals=true,  
                            asynchronousReplicationIntervalMillis=200"/> 
	</cache>
</ehcache>
